Delete Conversation
Permanently delete a conversation and its messages.
DELETE
The conversation is hard-deleted and can't be recovered. Only conversations whose message flow is in this workspace can be deleted.
Headers
x-workspace-idstringrequiredWorkspace identifier for the API.
Path Parameters
conversationIdstringrequiredThe _id of the conversation to delete.
Response Fields
statusstringsuccess.
messagestringA description of the result.
conversationIdstringThe ID of the deleted conversation.
Errors
| Status | Body | When |
|---|---|---|
400 | {"error": "Workspace ID is required"} | No x-workspace-id |
500 | {"error": "..."} | Unexpected server error |
{
"status": "success",
"message": "Conversation with ID b9b9b9b9b9b9b9b9b9b9b9b9 deleted successfully.",
"conversationId": "b9b9b9b9b9b9b9b9b9b9b9b9"
}Last updated on